baseURL = ""
languageCode = "en-us"
title = "Transtopia"
relativeurls = true
disableKinds = ["RSS", "sitemap"]

[taxonomies]
keyword = "keywords"
tag = "tags"


[params]
description = "Transtopia...."
# sandpointsGiteaUrl = "https://git.sandpoints.org/Drawwell/SimpleSandpoints"
sandpointsGiteaUrl = "https://git.sandpoints.org/we/transtopia"
sandpointsCatalogPrefix = "/library/"
sandpointsCatalogName = "transtopia"

sandpointsMentionedIn = ["annex", "editor", "author"]

[outputFormats]
[outputFormats.js]
isPlainText = true
mediaType = "application/javascript"

[outputs]
list = ["html", "js"]

[markup.tableOfContents]
endLevel=4
ordered = true
startLevel = 1

[markup.goldmark.renderer]
unsafe = true

# [markup.goldmark.parser.attribute]
#   block = true

[module]
# replacement allow for easier local development
# replacements = ["git.sandpoints.org/Drawwell/SandpointsTheme -> /home/m/devel/SandpointsTheme", "git.sandpoints.org/Drawwell/SandpointsEditPage -> /home/m/devel/SandpointsEditPage"]

[[module.imports]]
path = "git.sandpoints.org/Drawwell/SandpointsTheme"

[[module.imports]]
path = "git.sandpoints.org/Drawwell/SandpointsEditPage"

[[module.imports.mounts]]
source = "public/index.html"
target = "static/svedit/index.html"
[[module.imports.mounts]]
source = "public/global.css"
target = "static/svedit/global.css"
[[module.imports.mounts]]
source = "public/build"
target = "static/svedit/build"

[[module.imports.mounts]]
source = "archetypes"
target = "archetypes"
[[module.imports.mounts]]
source = "assets"
target = "assets"
[[module.imports.mounts]]
source = "layouts"
target = "layouts"
[[module.imports.mounts]]
source = "static"
target = "static"
[[module.imports.mounts]]
source = "data"
target = "data"
# [[module.imports.mounts]]
#   source = "customizations/Dotawo/assets/css/site.css"
#   target = "assets/css/site.css"
# [[module.imports.mounts]]
#   source = "customizations/Dotawo/static/css/site.min.css"
#   target = "static/css/site.min.css"
